msgpack::type::define_map_imp< Tuple, 0 > Struct Template Reference

`#include <cpp11_define_map.hpp>`

## Static Public Member Functions

template<typename Packer >
static void | pack (Packer &, Tuple const &)
static void | unpack (msgpack::object const &, Tuple const &, std::map< std::string, msgpack::object const *> const &)
static void | object (msgpack::object *, msgpack::zone &, Tuple const &)

## Member Function Documentation

## object()

template<typename Tuple >

static void msgpack::type::define_map_imp< Tuple, 0 >::object | ( | msgpack::object * | ,
|  | msgpack::zone & | ,
|  | Tuple const & |
| ) |  |

inline static

## pack()

template<typename Tuple >
template<typename Packer >

static void msgpack::type::define_map_imp< Tuple, 0 >::pack | ( | Packer & | ,
|  | Tuple const & |
| ) |  |

inline static

## unpack()

template<typename Tuple >

static void msgpack::type::define_map_imp< Tuple, 0 >::unpack | ( | msgpack::object const & | ,
|  | Tuple const & | ,
|  | std::map< std::string, msgpack::object const *> const & |
| ) |  |

inline static

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp11_define_map.hpp